Prev Top Next

Name
KXL_Font
Synopsis

    KXL_Font -- The drawing font and drawing color of a text.
    A default font is "-adobe-courier-bold-r-normal--14-*-*-*-*-*-iso8859-1"
    A default color is white.

Description

    void KXL_Font(Uint8 *name, Uint8 red, Uint8 green, Uint8 blue);

Arguments

name | The drawing font of a text. It is NULL when you do not want to change a font.
red | Red luminosity.
green | Green luminosity.
blue | Blue luminosity.

Return Value
Nothing.
Exsample

    #include <KXL.h>

    int main(void)
    {
      KXL_CreateWindow(100, 100, "sample", 0);
      KXL_Font(NULL, 0xff, 0x00, 0x00);
      KXL_PutText(0, 20, "Sample");
      KXL_Font("-sony-*-medium-i-*-*-*-*-*-*-*-*-*-*", 0x00, 0xff, 0x00);
      KXL_PutText(20, 50, "Sample");
      KXL_UpDateImm(0, 0, 100, 100);
      getchar();
      KXL_DeleteWindow();
      return 0;
    }